Bio::MAGETAB::Util::Writer::Tabfile(3)

NAME
Bio::MAGETAB::Util::Writer::Tabfile - Abstract MAGE-TAB exporter class.

SYNOPSIS
 use base qw( Bio::MAGETAB::Util::Writer::Tabfile );

DESCRIPTION
This abstract class provides some basic functions for export of MAGE-TAB objects in tab-delimited format. It is not designed to be used directly.

ATTRIBUTES

filehandle
    The filehandle to use for output (required).

num_columns
    The number of columns to use for output. This must be set before anything is exported. Typically calculated and set from the subclass.

csv_writer
    The Text::CSV_XS object to use for output. This attribute is typically set in the subclass.

export_version
    A string indicating which version of the MAGE-TAB format to export; currently restricted to "1.0" or "1.1". The default is "1.1".

METHODS
No public methods.

SEE ALSO
Bio::MAGETAB::Util::Writer::ADF Bio::MAGETAB::Util::Writer::IDF Bio::MAGETAB::Util::Writer::SDRF

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).